ReferenceDTO
Date: 2016-06-25

org.osgi.service.component.runtime.dto

## Class ReferenceDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.service.component.runtime.dto.ReferenceDTO

-     public class ReferenceDTO
      extends org.osgi.dto.DTO

  A representation of a declared reference to a service.
  Since:
    1.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `bind` The name of the bind method of the reference.
    `java.lang.String` | `cardinality` The cardinality of the reference.
    `java.lang.String` | `field` The name of the field of the reference.
    `java.lang.String` | `fieldOption` The field option of the reference.
    `java.lang.String` | `interfaceName` The service interface of the reference.
    `java.lang.String` | `name` The name of the reference.
    `java.lang.String` | `policy` The policy of the reference.
    `java.lang.String` | `policyOption` The policy option of the reference.
    `java.lang.String` | `scope` The scope of the reference.
    `java.lang.String` | `target` The target of the reference.
    `java.lang.String` | `unbind` The name of the unbind method of the reference.
    `java.lang.String` | `updated` The name of the updated method of the reference.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceDTO()`

  - ### Method Summary

    - ### Methods inherited from class org.osgi.dto.DTO

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

      The name of the reference.

      This is declared in the `name` attribute of the `reference` element. This must be the default name if the component description does not declare a name for the reference.

    - #### interfaceName

          public java.lang.String interfaceName

      The service interface of the reference.

      This is declared in the `interface` attribute of the `reference` element.

    - #### cardinality

          public java.lang.String cardinality

      The cardinality of the reference.

      This is declared in the `cardinality` attribute of the `reference` element. This must be the default cardinality if the component description does not declare a cardinality for the reference.

    - #### policy

          public java.lang.String policy

      The policy of the reference.

      This is declared in the `policy` attribute of the `reference` element. This must be the default policy if the component description does not declare a policy for the reference.

    - #### policyOption

          public java.lang.String policyOption

      The policy option of the reference.

      This is declared in the `policy-option` attribute of the `reference` element. This must be the default policy option if the component description does not declare a policy option for the reference.

    - #### target

          public java.lang.String target

      The target of the reference.

      This is declared in the `target` attribute of the `reference` element. This must be `null` if the component description does not declare a target for the reference.

    - #### bind

          public java.lang.String bind

      The name of the bind method of the reference.

      This is declared in the `bind` attribute of the `reference` element. This must be `null` if the component description does not declare a bind method for the reference.

    - #### unbind

          public java.lang.String unbind

      The name of the unbind method of the reference.

      This is declared in the `unbind` attribute of the `reference` element. This must be `null` if the component description does not declare an unbind method for the reference.

    - #### updated

          public java.lang.String updated

      The name of the updated method of the reference.

      This is declared in the `updated` attribute of the `reference` element. This must be `null` if the component description does not declare an updated method for the reference.

    - #### field

          public java.lang.String field

      The name of the field of the reference.

      This is declared in the `field` attribute of the `reference` element. This must be `null` if the component description does not declare a field for the reference.

    - #### fieldOption

          public java.lang.String fieldOption

      The field option of the reference.

      This is declared in the `field-option` attribute of the `reference` element. This must be `null` if the component description does not declare a field for the reference.

    - #### scope

          public java.lang.String scope

      The scope of the reference.

      This is declared in the `scope` attribute of the `reference` element. This must be the default scope if the component description does not declare a scope for the reference.

  - ### Constructor Detail

    - #### ReferenceDTO

          public ReferenceDTO()